#!/bin/bash

# updated by WIBOON 2556-04-12
# for easy config 2 pam files

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi
if [ ! -f /etc/freeradius/clients.conf ] ; then
  echo "need /etc/freeradius/clients.conf, can not install."
  exit 
fi
RADIUS_SHARED_SECRET=$(sudo grep -n "^client localhost" /etc/freeradius/clients.conf | cut -d":" -f1 | xargs -i expr {} + 142 | sudo xargs -i sed -n '/^client localhost/,{} p' /etc/freeradius/clients.conf | grep "secret" | grep -v "#" | awk '{print $3}')
sudo apt-get install libpam-radius-auth -y
sudo sed -i "/^127/s/secret/${RADIUS_SHARED_SECRET}/g ; s/1$/10/g ; /^other/s/^/#/g" /etc/pam_radius_auth.conf
MYINSTALL="auth sufficient /lib/security/pam_radius_auth.so"
MYFILE="/etc/pam.d/sshd"
if [ -z "$(grep "${MYINSTALL}" ${MYFILE})" ] ; then
  sudo sed -i '/^@include common-auth/i\auth sufficient /lib/security/pam_radius_auth.so' ${MYFILE}
fi
